package jalview.util;

import static org.testng.Assert.assertTrue;

import java.io.IOException;
import java.nio.file.Paths;
import java.util.List;

import org.testng.annotations.Test;

public class FileUtilsTest
{
  @Test(groups = "Functional")
  public void testFindMatchingPaths() throws IOException
  {
    String expect1 = Paths.get("../jalview/examples/plantfdx.fa")
            .toString();
    String expect2 = Paths.get("../jalview/examples/plantfdx.features")
            .toString();
    String expect3 = Paths
            .get("../jalview/examples/testdata/plantfdx.features")
            .toString();

    List<String> matches = FileUtils.findMatchingPaths(".*/plant.*\\.f.*",
            Paths.get(".."));
    assertTrue(matches.contains(expect1));
    assertTrue(matches.contains(expect2));
    assertTrue(matches.contains(expect3));
  }
}
